This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 442741 - (CVE-2008-1833) CVE-2008-1833 clamav: PE WWPack Heap Overflow Vulnerability
CVE-2008-1833 clamav: PE WWPack Heap Overflow Vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=internet,repoted=20080415,publ...
: Security
Depends On: 442362 442363
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 11:30 EDT by Tomas Hoger
Modified: 2008-06-19 06:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 06:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-16 11:30:25 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1833 to the following vulnerability:

Heap-based buffer overflow in libclamav in ClamAV 0.92.1 allows remote
attackers to execute arbitrary code via a crafted WWPack compressed PE
binary.

Fixed in 0.93.

References:
http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=687
https://wwws.clamav.net/bugzilla/show_bug.cgi?id=877
Comment 1 Tomas Hoger 2008-04-16 11:50:35 EDT
According to:

  https://wwws.clamav.net/bugzilla/show_bug.cgi?id=877#c1

this was really fixed in 0.93-rc1 and only announce after 0.93.
Comment 2 Fedora Update System 2008-04-25 07:17:57 EDT
clamav-0.92.1-2.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-29 16:56:11 EDT
clamav-0.92.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-04-29 17:01:26 EDT
clamav-0.92.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Red Hat Product Security 2008-06-19 06:49:51 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-3358
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-3420


Note You need to log in before you can comment on or make changes to this bug.